Package org.eclipse.swt.events

# Interface DragDetectListener

All Superinterfaces:
  `EventListener`, `SWTEventListener`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface DragDetectListener extends SWTEventListener
Classes which implement this interface provide methods that deal with the events that are generated when a drag gesture is detected.

After creating an instance of a class that implements this interface it can be added to a control using the `addDragDetectListener` method and removed using the `removeDragDetectListener` method. When the drag is detected, the `dragDetected` method will be invoked.

Since:
  3.3
See Also:
  - `DragDetectEvent`

## Method Summary

Modifier and Type
Method
Description
`void`
`dragDetected(DragDetectEvent e)`
Sent when a drag gesture is detected.

## Method Details

### dragDetected

void dragDetected(DragDetectEvent e)
Sent when a drag gesture is detected.

Parameters:
  `e` - an event containing information about the drag